package com.engine.organization.entity.job.param;

import com.engine.organization.common.BaseQueryParam;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @description: TODO
 * @author:dxfeng
 * @createTime: 2022/05/30
 * @version: 1.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class JobSearchParam extends BaseQueryParam {
    /**
     * 主键
     */
    private Long id;
    /**
     * 编号
     */
    private String jobNo;
    /**
     * 名称
     */
    private String jobName;
    /**
     * 所属分部
     */
    private Long parentComp;
    /**
     * 所属部门
     */
    private Long parentDept;
    /**
     * 岗位序列
     */
    private Long sequenceId;
    /**
     * 等级方案
     */
    private Long schemeId;
    /**
     * 上级岗位
     */
    private Long parentJob;
    /**
     * 是否关键岗
     */
    private Integer isKey;
    /**
     * 工作地点
     */
    private String workplace;
    /**
     * 工作概述
     */
    private String description;
    /**
     * 任职职责
     */
    private String workDuty;
    /**
     * 工作权限
     */
    private String workAuthority;
    /**
     * 禁用标记
     */
    private Boolean forbiddenTag;

    private Long subcompanyid1;

    private Long departmentid;
}
