package com.engine.organization.entity.job.vo;

import com.cloudstore.eccom.pc.table.WeaTableType;
import com.engine.organization.annotation.OrganizationTable;
import com.engine.organization.annotation.TableTitle;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @description: TODO
 * @author:dxfeng
 * @createTime: 2022/06/02
 * @version: 1.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@OrganizationTable(pageId = "434c1b24-e248-11ec-8a67-00e04c680716",
        tableType = WeaTableType.NONE)
public class SingleJobTreeVO {

    private Long id;

    @TableTitle(title = "编号", dataIndex = "jobNo", key = "jobNo")
    private String jobNo;

    @TableTitle(title = "编号", dataIndex = "jobName", key = "jobName")
    private String jobName;

    @TableTitle(title = "编号", dataIndex = "parentJobName", key = "parentJobName")
    private String parentJobName;

    private Long parentJob;

    private Long parentDept;

    private List<SingleJobTreeVO> children;

}
