package com.engine.organization.entity.scheme.param;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author dxfeng
 * @Description: TODO
 * @Date 2022/5/9
 * @Version V1.0
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class LevelSearchParam {

    private Long id;
    /**
     * 编号
     */
    private String levelNo;

    /**
     * 名称
     */
    private String levelName;

    /**
     * 方案说明
     */
    private String description;

    /**
     * 等级方案
     */
    private Long schemeId;

    /**
     * 禁用标记
     */
    private Boolean forbiddenTag;

}
