package com.engine.organization.entity.staff.bo;

import com.engine.organization.entity.staff.param.StaffSearchParam;
import com.engine.organization.entity.staff.po.StaffPO;

import java.util.Date;

/**
 * @description: TODO
 * @author:dxfeng
 * @createTime: 2022/05/25
 * @version: 1.0
 */
public class StaffBO {
    public static StaffPO convertParamToPO(StaffSearchParam param, Long employeeId) {
        if (param == null) {
            return null;
        }
        return StaffPO.builder()
                .id(param.getId())
                .planId(param.getPlanId())
                .compId(param.getCompId())
                .deptId(param.getDeptId())
                .jobId(param.getJobId())
                .staffNum(param.getStaffNum())
                .controlPolicy(param.getControlPolicy())
                .permanentNum(param.getPermanentNum())
                .freezeNum(param.getFreezeNum())
                .lackStatus(param.getLackStatus())
                .staffDesc(param.getStaffDesc())
                .description(param.getDescription())
                .deleteType(0)
                .createTime(new Date())
                .updateTime(new Date())
                .creator(employeeId)
                .build();
    }
}
