package com.engine.organization.entity.staff.bo;

import com.engine.organization.entity.staff.param.StaffPlanSearchParam;
import com.engine.organization.entity.staff.po.StaffPlanPO;

import java.util.Date;

/**
 * @description: TODO
 * @author:dxfeng
 * @createTime: 2022/05/25
 * @version: 1.0
 */
public class StaffPlanBO {
    public static StaffPlanPO convertParamToPO(StaffPlanSearchParam param, Long employeeId) {
        if (param == null) {
            return null;
        }
        return StaffPlanPO.builder()
                .id(param.getId())
                .planNo(param.getPlanNo())
                .planName(param.getPlanName())
                .planYear(param.getPlanYear())
                .timeStart(param.getTimeStart())
                .timeEnd(param.getTimeEnd())
                .companyId(param.getCompanyId())
                .description(param.getDescription())
                .forbiddenTag(param.getForbiddenTag() == null ? 0 : param.getForbiddenTag() ? 0 : 1)
                .deleteType(0)
                .createTime(new Date())
                .updateTime(new Date())
                .creator(employeeId)
                .build();
    }
}
