package com.engine.organization.entity.staff.param;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @description: TODO
 * @author:dxfeng
 * @createTime: 2022/05/25
 * @version: 1.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class StaffSearchParam {
    /**
     * 主键
     */
    private Long id;
    /**
     * 方案id
     */
    private Long planId;
    /**
     * 分部
     */
    private Long compId;
    /**
     * 部门
     */
    private Long deptId;
    /**
     * 岗位
     */
    private Long jobId;
    /**
     * 编制数
     */
    private Integer staffNum;
    /**
     * 控制策略
     */
    private Integer controlPolicy;
    /**
     * 在编
     */
    private Integer permanentNum;
    /**
     * 冻结数
     */
    private Integer freezeNum;
    /**
     * 缺编状态
     */
    private Integer lackStatus;
    /**
     * 编制描述
     */
    private String staffDesc;

    /**
     * 说明
     */
    private String description;
}
