package com.engine.organization.mapper.extend;

import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * @description: TODO
 * @author:dxfeng
 * @createTime: 2022/05/20
 * @version: 1.0
 */
public interface ExtMapper {

    /**
     * 根据主表id,查询主表拓展表数据
     *
     * @param tableName
     * @param id
     * @return
     */
    Map<String, Object> listCompExt(@Param("tableName") String tableName, @Param("fields") String fields, @Param("id") long id);

    /**
     * 判断当前数据是否存在
     *
     * @param tableName
     * @param id
     * @return
     */
    int countCompExtById(@Param("tableName") String tableName, @Param("id") long id);

    /**
     * 插入主表拓展表
     *
     * @param map
     * @return
     */
    int insertCompExt(@Param("tableName") String tableName, @Param("map") Map<String, Object> map);

    /**
     * 更新主表拓展表
     *
     * @param map
     * @return
     */
    int updateCompExt(@Param("tableName") String tableName, @Param("id") long id, @Param("map") Map<String, Object> map);
}
